#!/bin/ksh

ECHO="/bin/echo"
TRUE=0
FALSE=1

$ECHO "  "
$ECHO "Uninstall WebSphere Commerce 5.4.0.1 Professional Fixpack"
$ECHO "Please shut down the Application Server and any Webservers that might be running"
$ECHO "  "

# print usage.
print_usage() {
   $ECHO "usage: `basename $0` <wcs_home> <was_home>"
   $ECHO "Example: ./uninstall.sh /usr/WebSphere/CommerceServer /usr/WebSphere/AppServer"
}


# checks if required directories exist.
check_paths() {
local val=1

   if [ -d $WC_HOME ] && val=2 && [ -d $WAS_HOME ]
   then
#   	$ECHO "---- Components path check passed -----"
	return $TRUE
   else
   	$ECHO "---- Please correct following error: ----"

	case $val in
	   1) $ECHO "Invalid WC_HOME directory."
	      ;;
	   2) $ECHO "Invalid WAS_HOME directory."
	      ;;
	esac
   fi

   return $FALSE
}


# checks if required files exist.
check_files() {
local val=1

   if [ -f $WC_FP5401_DIR/WCfixpackPro5401_wc_AIX_backup.jar ] && val=2 && \
      [ -f $WC_FP5401_DIR/WCfixpackPro5401_wc_AIX.log ]
   then
#   	$ECHO "---- Files check passed ----"
	return $TRUE
   else
   	$ECHO "---- Please correct following error: ----"

	case $val in
	   1) $ECHO "The following file does not exist: $WC_FP5401_DIR/WCfixpackPro5401_wc_AIX_backup.jar"
	      ;;
	   2) $ECHO "The following file does not exist: $WC_FP5401_DIR/WCfixpackPro5401_wc_AIX.log"
	      ;;
	esac
   fi

   return $FALSE;
}



# beginning of script.
#clear

#ensure correct number of arguments provided.
if [ $# -ne 2 ]; then
   print_usage
   exit 0
else
   WC_HOME=$1
   WAS_HOME=$2
fi


# check if necessary components install path exist.
if check_paths; then
   $ECHO "main - check path PASSED."
else
   $ECHO "main - check path FAILED."
   exit 0
fi


WC_FP5401_DIR="$WC_HOME/service/fixpack/5401"


# check if necessary files exist.
if check_files; then
   $ECHO "main - check files PASSED."
else
   $ECHO "main - check files FAILED."
   exit 0
fi


# Uninstall WebSphere Commerce 5.4.0.1 Professional Fixpack, AIX
$ECHO "main - uninstalling fixpack."

$WAS_HOME/java/jre/bin/java -jar $WC_FP5401_DIR/WCfixpackPro5401_wc_AIX_backup.jar -log $WC_FP5401_DIR/UninstallWCfixpackPro5401_wc_AIX.log

$ECHO "main - uninstalling fixpack complete."

exit 0
